{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "enable NDEBUG",
            "type": "shell",
            "command": "cmake",
            "args": [
                "-G",
                "Ninja",
                "-B",
                "build",
                "-S",
                "${workspaceRoot}",
                "-DENABLE_STL_TREE=0",
                "-DENABLE_STL_PAIR=0",
                "-DNDEBUG=1",
            ],
            "group": {
                "kind": "configure",
                "isDefault": true
            },
            "problemMatcher": [],
        },
        {
            "label": "disable STL",
            "type": "shell",
            "command": "cmake",
            "args": [
                "-G",
                "Ninja",
                "-B",
                "build",
                "-S",
                "${workspaceRoot}",
                "-DENABLE_STL_TREE=0",
                "-DENABLE_STL_PAIR=0",
            ],
            "group": {
                "kind": "configure",
                "isDefault": true
            },
            "problemMatcher": [],
        },
        {
            "label": "enable STL tree",
            "type": "shell",
            "command": "cmake",
            "args": [
                "-G",
                "Ninja",
                "-B",
                "build",
                "-S",
                "${workspaceRoot}",
                "-DENABLE_STL_TREE=1",
            ],
            "problemMatcher": [],
        },
        {
            "label": "disable STL tree",
            "type": "shell",
            "command": "cmake",
            "args": [
                "-G",
                "Ninja",
                "-B",
                "build",
                "-S",
                "${workspaceRoot}",
                "-DENABLE_STL_TREE=0",
            ],
            "problemMatcher": [],
        },
        {
            "label": "enable STL pair",
            "type": "shell",
            "command": "cmake",
            "args": [
                "-G",
                "Ninja",
                "-B",
                "build",
                "-S",
                "${workspaceRoot}",
                "-DENABLE_STL_PAIR=1",
            ],
            "problemMatcher": [],
        },
        {
            "label": "disable STL pair",
            "type": "shell",
            "command": "cmake",
            "args": [
                "-G",
                "Ninja",
                "-B",
                "build",
                "-S",
                "${workspaceRoot}",
                "-DENABLE_STL_PAIR=0",
            ],
            "problemMatcher": [],
        },
        {
            "label": "build",
            "type": "shell",
            "command": "cmake",
            "args": [
                "--build",
                "build",
            ],
            "options": {
                "cwd": "${workspaceRoot}",
            },
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        }
    ]
}